Bug 889296 - [abrt] xfce4-panel-4.10.0-1.fc17: g_logv: Process /usr/lib64/xfce4/panel/wrapper was killed by signal 5 (SIGTRAP)
Summary: [abrt] xfce4-panel-4.10.0-1.fc17: g_logv: Process /usr/lib64/xfce4/panel/wrap...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-panel
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0f90c298cd3bc26b8b46f80bc70...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-20 17:45 UTC by Stephen John Smoogen
Modified: 2013-08-01 17:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 17:38:34 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (5.13 KB, text/plain)
2012-12-20 17:45 UTC, Stephen John Smoogen
no flags Details
File: environ (1.67 KB, text/plain)
2012-12-20 17:45 UTC, Stephen John Smoogen
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-20 17:45 UTC, Stephen John Smoogen
no flags Details
File: backtrace (39.95 KB, text/plain)
2012-12-20 17:45 UTC, Stephen John Smoogen
no flags Details
File: cgroup (129 bytes, text/plain)
2012-12-20 17:45 UTC, Stephen John Smoogen
no flags Details
File: smolt_data (2.89 KB, text/plain)
2012-12-20 17:45 UTC, Stephen John Smoogen
no flags Details
File: executable (30 bytes, text/plain)
2012-12-20 17:45 UTC, Stephen John Smoogen
no flags Details
File: maps (38.87 KB, text/plain)
2012-12-20 17:45 UTC, Stephen John Smoogen
no flags Details
File: dso_list (92 bytes, text/plain)
2012-12-20 17:45 UTC, Stephen John Smoogen
no flags Details
File: build_ids (2.52 KB, text/plain)
2012-12-20 17:45 UTC, Stephen John Smoogen
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2012-12-20 17:45 UTC, Stephen John Smoogen
no flags Details
File: open_fds (294 bytes, text/plain)
2012-12-20 17:45 UTC, Stephen John Smoogen
no flags Details

Description Stephen John Smoogen 2012-12-20 17:45:23 UTC
Description of problem:
Shut down system via shutdown icon versus logging out and shutting down system

Version-Release number of selected component:
xfce4-panel-4.10.0-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper /usr/lib64/xfce4/panel/plugins/libactions.so 21 14680104 actions 'Action Buttons' 'Log out, lock or other system actions' ''
crash_function: g_logv
kernel:         3.6.10-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 g_logv at gmessages.h:101
: #4 handle_error at xcb_io.c:212
: #6 XGetGeometry at GetGeom.c:47
: #7 gdk_window_x11_get_geometry at gdkwindow-x11.c:2845
: #9 gdk_window_get_geometry at gdkwindow.c:8275
: #10 xfce_panel_plugin_position_widget at /lib64/libxfce4panel-1.0.so.4
: #11 xfce_panel_plugin_position_menu at /lib64/libxfce4panel-1.0.so.4
: #12 gtk_menu_position at gtkmenu.c:4253
: #13 gtk_menu_popup at gtkmenu.c:1592
: #14 ?? at /usr/lib64/xfce4/panel/plugins/libactions.so

Comment 1 Stephen John Smoogen 2012-12-20 17:45:25 UTC
Created attachment 666843 [details]
File: core_backtrace

Comment 2 Stephen John Smoogen 2012-12-20 17:45:27 UTC
Created attachment 666844 [details]
File: environ

Comment 3 Stephen John Smoogen 2012-12-20 17:45:28 UTC
Created attachment 666845 [details]
File: limits

Comment 4 Stephen John Smoogen 2012-12-20 17:45:31 UTC
Created attachment 666846 [details]
File: backtrace

Comment 5 Stephen John Smoogen 2012-12-20 17:45:32 UTC
Created attachment 666847 [details]
File: cgroup

Comment 6 Stephen John Smoogen 2012-12-20 17:45:34 UTC
Created attachment 666848 [details]
File: smolt_data

Comment 7 Stephen John Smoogen 2012-12-20 17:45:35 UTC
Created attachment 666849 [details]
File: executable

Comment 8 Stephen John Smoogen 2012-12-20 17:45:37 UTC
Created attachment 666850 [details]
File: maps

Comment 9 Stephen John Smoogen 2012-12-20 17:45:39 UTC
Created attachment 666851 [details]
File: dso_list

Comment 10 Stephen John Smoogen 2012-12-20 17:45:40 UTC
Created attachment 666852 [details]
File: build_ids

Comment 11 Stephen John Smoogen 2012-12-20 17:45:42 UTC
Created attachment 666853 [details]
File: proc_pid_status

Comment 12 Stephen John Smoogen 2012-12-20 17:45:43 UTC
Created attachment 666854 [details]
File: open_fds

Comment 13 Kevin Fenzi 2012-12-20 22:26:55 UTC
> Shut down system via shutdown icon versus logging out and shutting down system

Which one causes this issue? 

Can you duplicate it every time?

Comment 14 Fedora End Of Life 2013-07-04 06:10:04 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2013-08-01 17:38:38 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.